Package org.tmatesoft.svn.core.wc2

# Class SvnRevisionRange

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnObject
org.tmatesoft.svn.core.wc2.SvnRevisionRange

public class SvnRevisionRange extends SvnObject
Represents a revision range between the start revision and the end revision.

Version:
  1.7
Author:
  TMate Software Ltd.
See Also:
  - `SvnMerge`
  - `SvnLog`

## Method Summary

Modifier and Type
Method
Description
`static SvnRevisionRange`
`create(SVNRevision start, SVNRevision end)`
Creates revision range and initializes its fields
`SVNRevision`
`getEnd()`
Returns range's end revision
`SVNRevision`
`getStart()`
Returns range's start revision
`String`
`toString()`
Returns `String` representation of start and end revisions, separated by colon.

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnObject

`getUserData, setUserData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### create

public static SvnRevisionRange create(SVNRevision start, SVNRevision end)
Creates revision range and initializes its fields

Parameters:
  `start` - start revision
  `end` - end revision
Returns:
  newly created range

### toString

public String toString()
Returns `String` representation of start and end revisions, separated by colon.

Overrides:
  `toString` in class `Object`
Returns:
  `String` representation of the range

### getStart

public SVNRevision getStart()
Returns range's start revision

Returns:
  start revision of the range

### getEnd

public SVNRevision getEnd()
Returns range's end revision

Returns:
  end revision of the range